#include <stdio.h>

void main(void)
{
	int szam,oszto;
	printf("Kérek egy számot:");
	scanf("%d",&szam);
	for ( oszto=2; oszto <= szam / 2; oszto++)
		if ( szam % oszto == 0)
			printf("%d ",oszto);
}